Bug 1978709 - Content host registration using command generated from global registration form fails if activation key name contains ' (single quote) in it.
Summary: Content host registration using command generated from global registration fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-02 14:39 UTC by Jameer Pathan
Modified: 2021-11-16 14:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:12:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33033 0 Normal New Content host registration using command generated from global registration form fails if activation key name contains ' ... 2021-07-15 14:01:58 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:26 UTC

Description Jameer Pathan 2021-07-02 14:39:06 UTC
Description of problem:
Content host registration using command generated from global registration form fails if activation key name contains ' (single quote) in it.

Version-Release number of selected component (if applicable):
- Satellite 6.10.0 snap 7

How reproducible:
- Always

Steps to Reproduce:
1. Create activation key with name containing '(single quote) e.g ak ' rhel
2. Go to Hosts > All Hosts > click on Register Host
3. Use activation key created to generate host registration command.
4. Use generated command to register content host with satellite.

Actual results:
#
# Running registration
#
bash: line 206: unexpected EOF while looking for matching `''
bash: line 211: syntax error: unexpected end of file


Expected results:
- As it's activation key name is valid, host registration using generated
command should work.

Additional info:
- I have only tried this with activation key but this could be issue with other fields in the form as well.

Comment 2 Leos Stejskal 2021-07-15 14:01:55 UTC
Created redmine issue https://projects.theforeman.org/issues/33033 from this bug

Comment 6 errata-xmlrpc 2021-11-16 14:12:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.